This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 868801 - gluster volume creation says 'success' but volume does not exist on any of the peers
gluster volume creation says 'success' but volume does not exist on any of th...
Status: CLOSED WORKSFORME
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
mainline
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Krutika Dhananjay
amainkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-22 03:51 EDT by Rachana Patel
Modified: 2015-04-20 07:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-14 02:07:15 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rachana Patel 2012-10-22 03:51:24 EDT
Description of problem:
gluster volume creation says 'success' but volume does not exist on any of the peers

Version-Release number of selected component (if applicable):
glusterfs 3git built on Oct 22 2012 09:46:02

[root@Rhsgit2 glusterfs]# git log
commit cf63a76ca03240eb617ca5bd2aa9b3f7abe7b6a4
Author: Emmanuel Dreyfus <manu@netbsd.org>
Date:   Sat Oct 20 19:30:06 2012 +0200

How reproducible:


Steps to Reproduce:
1. start glusterd on all peers.
2. verify that peers are connected using 'gluster p s' 
3. execute volume creation from one server

[root@rhsgit1 glusterfs]# gluster volume create san_22 10.70.35.107:/home/san_22_1 10.70.35.107:/home/san_22_2 10.70.35.71:/home/san_22_2  10.70.35.71:/home/san_22_1
volume create: san_22: success: please start the volume to access data

4. start volume
[root@rhsgit1 glusterfs]# gluster volume start san_22
volume start: san_22: failed: Volume san_22 does not exist

5. verify volume info on all peer
[root@rhsgit1 glusterfs]# gluster volume info
 
volume is not present
  
Actual results:
gluster volume creation says 'success' but volume does not exist on any of the peers

Expected results:
If volume creation is failed then it should not report creation successful.

Additional info:
Comment 1 Amar Tumballi 2013-02-26 05:43:25 EST
don't think its valid anymore... but needs a round of validation before closing.
Comment 2 Krutika Dhananjay 2013-03-14 02:07:15 EDT
Tried reproducing the bug, not been able to hit it, hence closing the bug.

Note You need to log in before you can comment on or make changes to this bug.